Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.functions
Class FileRowColContainer

    java.lang.Object
      org.apache.jmeter.functions.FileRowColContainer

public class FileRowColContainer
extends Object

File data container for CSV (and similar delimited) files Data is accessible via row and column number

Field Summary
`static String` | `DELIMITER`

Constructor Summary
`FileRowColContainer(String file)`
`FileRowColContainer(String file, String delim)`

Method Summary
`String` | `getColumn(int row, int col)` Get the string for the column from the current row
`String` | `getFileName()`
`int` | `getSize()`
`int` | `nextRow()` Returns the next row to the caller, and updates it, allowing for wrap round

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DELIMITER

    public static final String DELIMITER

Constructor Detail

### FileRowColContainer

    public FileRowColContainer(String file,
                               String delim)
                        throws IOException,
                               FileNotFoundException

### FileRowColContainer

    public FileRowColContainer(String file)
                        throws IOException,
                               FileNotFoundException

Method Detail

### getColumn

    public String getColumn(int row,
                            int col)
                     throws IndexOutOfBoundsException

  Get the string for the column from the current row

  Parameters:
    `row` - row number (from 0)
    `col` - column number (from 0)
  Returns:
    the string (empty if out of bounds)
  Throws:
    `IndexOutOfBoundsException` - if the column number is out of bounds

### nextRow

    public int nextRow()

  Returns the next row to the caller, and updates it, allowing for wrap round

  Returns:
    the first free (unread) row

### getFileName

    public String getFileName()

  Returns:
    the file name for this class

### getSize

    public int getSize()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.